package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDesEncrypt;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/LifeDesEncryptAction.class */
public class LifeDesEncryptAction extends LifeAction {
    private String keyStr;
    private String encryptDataName = "encryptData";
    private String oriDataName = "oriData";

    public String execute(Context context) throws GENEException {
        try {
            String source = (String) context.getDataValue(this.oriDataName);
            if (this.keyStr == null || this.keyStr.trim().length() == 0) {
                GENELog.log(GENEConstance.GENE_DATA, GENELog.ERROR, 0, "EncryptDataAction : the source or key was null");
                throw new GENEException("key为空");
            }
            if (source != null || source.trim().length() > 0) {
                String password = LifeDesEncrypt.encrypt(this.keyStr, source);
                context.setDataValue(this.encryptDataName, password);
                return "0";
            }
            return "0";
        } catch (Exception e) {
            GENELog.log(GENEConstance.GENE_TCPIP, GENELog.ERROR, 0, "EncryptDataAction:  Fail to encrypt the password .", e);
            return "1";
        }
    }

    public void setKeyStr(String key) {
        this.keyStr = key;
    }

    public void setEncryptDataName(String name) {
        this.encryptDataName = name;
    }

    public void setOriDataName(String ori) {
        this.oriDataName = ori;
    }
}
